Apps
Get an app trigger
Returns a single trigger of an app.
AuthorizationBearer <token>
Organization or project Access Key created in the Dynamiq console. Used for deployed-app (Runs API), AI Gateway, traces collector, and management API requests. Send as Authorization: Bearer <access-key>.
In: header
Path Parameters
app_id*string
App UUID.
trigger_id*string
Trigger UUID.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/triggers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"provider": "pipedream",
"config": {
"trigger_id": "string",
"configured_props": {},
"dynamic_props_id": "string",
"deployed_trigger_id": "string"
},
"input_transformer": {
"path": "string",
"selector": {
"property1": "string",
"property2": "string"
}
},
"app_id": "affd1d10-9538-4fc8-9e0b-4594a28c1335",
"status": "draft",
"created_at": "2019-08-24T14:15:22Z",
"created_by": "string",
"updated_at": "2019-08-24T14:15:22Z",
"updated_by": "string"
}
}{
"error": {
"code": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"code": "not_found",
"message": "Not Found"
}
}Create an app trigger
Creates a trigger that starts runs of the app. Two providers are supported: `pipedream` (event source deployed through Pipedream Connect) and `schedule` (native cron or one-off schedule). When `provider` is omitted it defaults to `pipedream`.
Delete an app trigger
Permanently deletes a trigger.